@mixin menu {
    display: flex;
    justify-content:center;
    align-items: center;
    background-color: transparent;
    width: 100%;
    z-index: 0;
    left: 0;
    top: 0;
    margin-top: 41px;
    position: relative;
}
@media (min-width: 768px) {
    .header-menu, .background, .posts, .shot {
        width: 768px;
        margin: 0 auto;
    }
    nav {
        top: 0;
    }
    .menu{
        @include menu;

        &.menu--active{
            @include menu;
        }
                    
        &__menu-item{
            margin-left: 34px;
    
        &:first-child {
            margin-left: 0px;
        }
        &:focus {
            background-color: transparent;
        }
            }}
    .menu-btn {
        display: none;
    }
    .background-first {
        height: 361px;
        width: 768px;
        margin-top: 43px;
    }
    .posts-articles {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(555px, 1fr));
        margin-bottom: 60px;
    }
    .posts-item {
        margin-bottom: 32px;
        display: flex;
        width: 555px;

        &__hide {
            display: flex;
        }
    }
    .posts-title {
        padding-top: 0;
    }
    .comments {
        margin-bottom: 13px;
    }
    .posts-par {
        display: block;
    }
    .post {
        margin-left: 20px;
    }
    .instagram {
        padding: 47px 0 50px;
        background-color: rgba(0, 0, 0, 0.03);
        width: 100%;
        background-size: cover;
    }
    .go-to-instagram.hide {
        display: block;
    }
    .instagram-photo.hide {
        display: inline;

        &:last-child {
            display: none;
        }
    }
    .img {
        width: 249px;
        height: 249px;
        margin-right: 4px;
    }
    .footer {
        padding: 57px 0 56px;
    }
    .footer-par {
        padding: 22px 0 37px;
        width: 684px;
        margin: 0 auto;
    }
    .footer-par span {
        display: inline;
    }
    .contacts {
        display: flex;
        justify-content: center;
        align-items: center;
    }
}

@media (min-width: 1200px) {
    .header-menu, .background, .posts, .shot {
        width: 1200px;
        margin: 0 auto;
    }
    .menu{
                            
        &__menu-item{
            margin-left: 68px;
    
        &:first-child {
            margin-left: 0px;
        }
    }}
    
    .background-first {
        height: 550px;
        width: 1170px;
        margin-top: 51px;
    }
    .posts-item {
        margin-bottom: 32px;
        display: flex;
        width: 555px;
    }
    .posts-articles {
        margin-bottom: 69px;
    }
    .instagram-photo.hide {

        &:last-child {
            display: inline;
        }
    }
    .img {
        width: 285px;
        height: 285px;
        margin-right: 16px;
    }
    .car {
        margin-right: 0px;
    }
}